Task Manager overview

Task Manager provides information about programs and processes running on your computer. It also displays the most commonly used performance measures for processes.

You can use Task Manager to monitor key indicators of your computer's performance. You can see the status of the programs that are running and end programs that have stopped responding. You can also assess the activity of running processes using as many as fifteen parameters, and see graphs and data on CPU and memory usage.

In addition, if you are connected to a network, you can view network status and see how your network is functioning.

If you have more than one user connected to your computer, you can see who is connected, what they are working on, and you can send them a message.

Click one of the following for more information:

Programs that are running

The Applications tab shows the status of the programs running on your computer.

On this tab, you can end, switch to, or start a program.

Related Topics

Processes that are running

The Processes tab shows information about the processes running on your computer.

For example, you can display information on CPU and memory usage, page faults, handle count, and a number of other parameters.

Related Topics

Performance measures

The Performance tab displays a dynamic overview of your computer's performance, including:

  • Graphs for CPU and memory usage.
  • Totals for the number of handles, threads, and processes running on your computer.
  • Totals, in kilobytes, for physical, kernel, and commit memory.

Related Topics

Viewing Network performance

The Networking tab displays a graphical representation of network performance. It provides a simple, qualitative indicator that shows the status of the network(s) that are running on your computer. The Networking tab is displayed only if a network card is present.

On this tab, you can view the quality and availability of your network connection, whether you are connected to one or more than one network.

Related Topics

Monitoring Sessions

The Users tab displays users who can access this computer, and session status and names. Client Name specifies the name of the client computer using the session, if applicable. Session provides a name for you to use to perform such tasks as sending another user a message or connecting to another user’s session.

The Users tab is displayed only if the computer you are working on has Fast User Switching enabled, and is a member of a workgroup or is a standalone computer. The Users tab is unavailable on computers that are members of a network domain.

Related Topics


Change display options in Task Manager

Microsoft Windows graphic

To change display options in Task Manager

  1. Click the tab that corresponds to the display option you want to change. Click the:
    • Applications tab to view details or large or small icons.
    • Processes tab to select the columns you want to display.
    • Performance tab to change the CPU History graph and show kernel times.
    • Networking tab to view information about your network connection.
  2. On the View menu, click the command you want.

Note

  • To show kernel times to add red lines to the CPU Usage and CPU Usage History graphs, click the Performance tab. On the View menu, click Show Kernel Times. The red lines indicate the amount of CPU resources consumed by kernel operations.


Update Task Manager data

To update Task Manager data

  • On the View menu, click Refresh Now.

Notes

  • To change the frequency at which the data is automatically updated, on the View menu, point to Update Speed, and then click the command you want.
  • To temporarily freeze the data displayed in Task Manager, on the View menu, point to Update Speed, and then click Paused.
  • Data is automatically updated every two seconds by default. For more information regarding how often data is automatically updated, click Related Topics.


Start a new program

To start a new program

  1. On the Applications tab, click New Task.
  2. In the Open box, type or select the name of the program you want to add, and then click OK.

Notes

  • New Task is identical to the Run command on the Start menu.
  • If you don't know the name of the program you want to add, click Browse to search for it.


Switch to another program

To switch to another program

  • On the Applications tab, click the program you want to switch to, and then click Switch To.


Change the priority of a running program

To change the priority of a running program

  • On the Processes tab, right-click the program you want to change, point to Set Priority, and then click the command you want.

Notes

  • To view the priority of running programs, on the Processes tab, on the View menu, click Select Columns. In the Select Columns dialog box, select the Base Priority check box, and then click OK.
  • Changing the priority of a process can make it run faster or slower (depending on whether you raise or lower the priority), but it can also adversely affect the performance of other processes.


End a program with Task Manager

To end a program with Task Manager

  • On the Applications tab, click the program that you want to end, and then click End Task.

Note

  • Any data entered or changes made in that program and not saved will be lost.


Process counter column headings

On the Processes tab, you can monitor running processes using the following counters, which can be displayed as column headings. To display a process as a column heading, on the View menu, click Select Columns. Select the check boxes that correspond to the processes you want displayed as column headings.

  • Base Priority
  • CPU Time
  • CPU Usage
  • GDI Objects
  • Handle Count
  • Image Name
  • I/O Other
  • I/O Other Bytes
  • I/O Reads
  • I/O Read Bytes
  • I/O Writes
  • I/O Write Bytes
  • Memory Usage
  • Memory Usage Delta
  • Nonpaged Pool
  • Page Faults
  • Page Faults Delta
  • Paged Pool
  • Peak Memory Usage
  • PID (Process Identifier)
  • Session ID
  • Thread Count
  • User Name
  • USER Objects
  • Virtual Memory Size


Specify process counter column headings

To specify process counter column headings

  1. On the Processes tab, on the View menu, click Select Columns.
  2. Select the check boxes that correspond to the process counters you want to appear as column headings, and then click OK.

Note

  • For more information about process counters, click Related Topics.


Sort the list of processes

To sort the list of processes

  • On the Processes tab, click the column heading you want to sort by.

Note

  • To reverse the sort order, click the column heading a second time.


End a process with Task Manager

To end a process with Task Manager

  • On the Processes tab, click the process that you want to end, and then click End Process.

Important

  • Be careful when ending a process. If you end an application, you will lose unsaved data. If you end a system service, some part of the system might not function properly.

Note

  • To end a process and all processes directly or indirectly created by it, on the Process tab, right-click the process you want to end, and then click End Process Tree.

    If you end the process tree for an e-mail program such as Microsoft Outlook, for example, you will also end related processes such as mapisp32.exe, the MAPI spooler.


Assign a process to a processor

To assign a process to a processor

  • On the Processes tab, right-click the process you want to assign, click Set Affinity, and then click one or more processors.

Notes

  • The Set Affinity command is available only on multiprocessor computers.
  • Using the Set Affinity command limits the execution of the program or process to the selected processors and might decrease overall performance.


Performance fields overview

The Performance tab displays a dynamic overview of your computer's performance. Click one of the following for more information:

CPU Usage

A graph indicating the percentage of time the processor is working. This counter is a primary indicator of processor activity. View this graph to see how much processing time you are using. If your computer seems to be running slowly, this graph could display a higher percentage.

CPU Usage History

A graph showing how busy the CPU has been over time. The sampling displayed in the graph depends on the value you select for the Update Speed on the View menu. Updates occur with these possible values: High = twice per second; Normal = once every two seconds; Low = once every four seconds; Paused = display doesn't automatically update.

PF Usage

The amount of paging file being used by the system. If your computer is running near the maximum, you can increase the page file size.

Page File Usage History

Graph depicting the amount of page file used over time. The sampling displayed in the graph depends on the value you select for the Update Speed on the View menu.

Totals

Totals for the number of handles, threads, and processes running on the computer.

Commit Charge (K)

Memory allocated to programs and the operating system. Because of memory copied to the paging file, called virtual memory, the value listed under Peak may exceed the maximum physical memory. The value for Total is the same as that depicted in the Page File Usage History graph.

Physical Memory (K)

The total physical memory, also called RAM, installed on your computer. Available represents the amount of free memory that is available for use. The System Cache shows the current physical memory used to map pages of open files.

Kernel Memory (K)

Memory used by the operating system kernel and device drivers. Paged is memory that can be copied to the paging file, thereby freeing the physical memory. The physical memory can then be used by the operating system. Nonpaged is memory that remains resident in physical memory and will not be copied out to the paging file.


View your computer's performance

To view your computer's performance

  • Click the Performance tab.

Notes

  • The Performance tab displays information about your computer's performance, such as CPU and various kinds of memory usage.
  • For more information about the fields displayed on the Performance tab, click Related Topics.


Networking fields overview

Networking overview

The Networking tab provides an indication of the network traffic for the connections on the local computer. It is useful as a quick reference for determining the amount of network bandwidth being consumed. When multiple network connections are being used, it allows easy comparison of the traffic for each connection.

If you have multiple networking cards on your computer, the chart displays a composite index of all networks, representing all network traffic.

In order to show a visible line on the graph for network traffic on any interface, the view automatically scales to magnify the view of traffic versus available bandwidth. So in a low traffic situation, the full height of the graph may represent only 5% of available bandwidth for the connection. When traffic increases beyond that level, the scaling will be reduced to give a less magnified view of the current traffic (for example, to display 10% of the total available bandwidth). The greater the percentage shown on the graph, the less is the magnification of traffic with respect to available bandwidth. The scaling factor is indicated on the graph. To disable scaling, on the Options menu, click Auto Scale to toggle the value.

In addition, you can change the column headings that are displayed below the graph. These headings are described in the following table.

Column Name | Default ON? | Description
Network Adapter Name | Yes | Name of the network adapter in the Network Connections folder.
Adapter Description |  | Description of the adapter, typically the same as the device name in the network connections folder.
Network Utilization |  | Network utilization percentage based on the initial connection speed for the interface.
Linkspeed |  | Connection speed of the interface taken from the initial connection speed.
Bytes Sent Throughput |  | The percentage of connection bandwidth used by traffic sent from the machine in the polling time period.
Bytes Received Throughput |  | The percentage of connection bandwidth used by traffic received by the machine in the polling time period.
Bytes Throughput |  | The percentage of connection bandwidth used by both sent and received traffic in the polling time period.
Bytes Sent |  | The total number of bytes sent on the connection to date. Cumulative, can be reset.
Bytes Received |  | The total number of bytes received on the connection to date. Cumulative, can be reset.
Bytes Total |  | The total number of bytes sent and received on the connection to date. Cumulative, can be reset.
Bytes Sent/Interval |  | The total number of bytes sent on the connection in the polling time interval.
Bytes Received/Interval |  | The total number of bytes received on the connection in the polling time interval.
Bytes/Interval |  | The total number of bytes received and sent on the connection in the polling time interval.
Unicasts Sent |  | The total number of bytes requested to be transmitted to unicast addresses by higher-level protocols. The value includes the packets that were discarded or not sent.
Unicasts Received |  | The total number of bytes received from unicast addresses by higher-level protocols.
Unicasts |  | The total number of Unicast Sent and Unicast Received packets to date.
Unicasts Sent/Interval |  | The total number of bytes requested to be transmitted to subnet-unicast addresses by higher-level protocols on the connection in the polling time interval.
Unicasts Received/Interval |  | The total number of bytes from subnet-unicast addresses delivered to higher-level protocols on the connection in the polling time interval.
Unicasts/Interval |  | The total number of Unicast Sent and Unicast Received packets for the connection in the polling time interval.
Nonunicasts Sent |  | The total number of bytes requested to be transmitted to nonsubnet-unicast addresses by higher-level protocols on the connection to date.
Nonunicasts Received |  | The total number of bytes from nonsubnet-unicast addresses delivered to higher-level protocols by on the connection to date.
Nonunicasts |  | The total number of nonunicast Sent and nonunicast Received packets to date.
Nonunicasts Sent/Interval |  | The total number of bytes requested to be transmitted to nonsubnet-unicast addresses by higher-level protocols on the connection in the polling time interval.
Nonunicasts Received/Interval |  | The total number of bytes from nonsubnet-unicast addresses delivered to higher-level protocols on the connection in the polling time interval.
Nonunicasts/Interval |  | The total number of nonunicast Sent and nonunicast Received packets in the polling time interval.


View network connections

To view network connections

  • Click the Networking tab.

Notes

  • The Networking tab is only available if a network card is present.
  • The Networking tab provides an indication of the network traffic for the connections on the local computer. XOX


Users fields overview

User fields overview

Each field on the Users tab is described below. Click one of the following for more information:

User

Displays the users logged onto this computer.

ID

Displays the numeric ID that identifies the session on the computer.

Status

Displays the current status of a session. Possible session statuses in Task Manager include Active and Discconnected.

Client Name

Specifies the name of the client computer using the session, if applicable.

Session

Displays the session names on this computer.


View user activity

To view user activity

  • Click the Users tab.

Note

  • Fast User Switching is available only if you are working on a computer that is a member of a workgroup or is a standalone computer. Fast User Switching is unavailable on computers that are members of a network domain.


Compile Date

Compile Date: 2002-08-09


Send a Message to a user

To send a message to a user

  1. On the Users tab, right-click the session or user to which you want to send a message, and then click Send Message.

  2. In Message title, type the title of the message.
  3. In Message, type the information you want to send to the user. To start a new paragraph, press CTRL+ENTER.
  4. To send the message, click OK.

Notes

  • Use this feature to notify users of impending disconnection, server status, or other system information.
  • You can send messages only to users whose sessions are in the active or connected state, including the console session.